# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate config

Name:           rust-%{crate}
Version:        0.9.2
Release:        1%{?dist}
Summary:        Layered configuration system for Rust applications

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/config
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No hjson support, that crate is outdated
Patch0:         config-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(nom/default) >= 4.0.0 with crate(nom/default) < 5.0.0)
BuildRequires:  (crate(rust-ini/default) >= 0.13.0 with crate(rust-ini/default) < 0.14.0)
BuildRequires:  (crate(serde/default) >= 1.0.8 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.2 with crate(serde_json/default) < 2.0.0)
BuildRequires:  (crate(toml/default) >= 0.4.1 with crate(toml/default) < 0.5.0)
BuildRequires:  (crate(yaml-rust/default) >= 0.4.0 with crate(yaml-rust/default) < 0.5.0)
%if %{with check}
BuildRequires:  (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0)
BuildRequires:  (crate(chrono/serde) >= 0.4.0 with crate(chrono/serde) < 0.5.0)
BuildRequires:  (crate(float-cmp/default) >= 0.4.0 with crate(float-cmp/default) < 0.5.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.8 with crate(serde_derive/default) < 2.0.0)
%endif

%global _description \
Layered configuration system for Rust applications.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ini-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ini-devel %{_description}

This package contains library source intended for building other packages
which use "ini" feature of "%{crate}" crate.

%files       -n %{name}+ini-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+json-devel %{_description}

This package contains library source intended for building other packages
which use "json" feature of "%{crate}" crate.

%files       -n %{name}+json-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rust-ini-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust-ini-devel %{_description}

This package contains library source intended for building other packages
which use "rust-ini" feature of "%{crate}" crate.

%files       -n %{name}+rust-ini-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages
which use "serde_json" feature of "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages
which use "toml" feature of "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+yaml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yaml-devel %{_description}

This package contains library source intended for building other packages
which use "yaml" feature of "%{crate}" crate.

%files       -n %{name}+yaml-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+yaml-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yaml-rust-devel %{_description}

This package contains library source intended for building other packages
which use "yaml-rust" feature of "%{crate}" crate.

%files       -n %{name}+yaml-rust-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.9.1-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-2
- Run tests in infrastructure
- Bump rust-ini to 0.13

* Thu Sep 27 2018 Josh Stone <jistone@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Initial package
